package merchant

type GetListByIdReq struct {
	Id int64 `json:"id" validate:"required" example:"1"`
}

type GetListByIdResp struct {
	Id        int64  `json:"id"  example:"1"`
	Name      string `json:"name" example:"snow"`
	CreatedAt string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type SearcgReq struct {
	Id        int64    `json:"id"`
	Name      string   `json:"name"`
	CreatedAt []string `json:"created_at" form:"created_at"`
	PageNum   int      `json:"page_num" form:"page" validate:"required"`
	PageSize  int      `json:"page_size" form:"page_size" validate:"required"`
}

type SearchResp struct {
	Id        int64  `json:"id"  example:"1"`
	Name      string `json:"name" example:"snow"`
	CreatedAt string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type CreateReq struct {
	Name       string `json:"name" validate:"required"`
	PrivateKey string `json:"private_key" validate:"required"`
}

type CreateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type UpdateReq struct {
	Id         int64  `json:"id" validate:"required"`
	Name       string `json:"name"`
	PrivateKey string `json:"private_key"`
}

type UpdateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type DeleteReq struct {
	Id int64 `json:"id" validate:"required"`
}

type DeleteResp struct {
	Id int64 `json:"id"  example:"1"`
}
