package merchant

type GetListByIdReq struct {
	Id int64 `json:"id" validate:"required" example:"1"`
}

type GetListByIdResp struct {
	Id          int64  `json:"id"  example:"1"`
	Name        string `json:"name" example:"snow"`
	Price       int64  `json:"price" example:"100"`
	ProductUrl  string `json:"product_url" example:"http://www.baidu.com"`
	ProductUrl2 string `json:"product_url2" example:"http://www.baidu.com"`
	Status      int64  `json:"status" example:"1"`
	CreatedAt   string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type SearcgReq struct {
	Id        int64    `json:"id"`
	Name      string   `json:"name"`
	CreatedAt []string `json:"created_at" form:"created_at"`
	PageNum   int      `json:"page_num" form:"page" validate:"required"`
	PageSize  int      `json:"page_size" form:"page_size" validate:"required"`
}

type SearchResp struct {
	Id          int64  `json:"id"  example:"1"`
	Name        string `json:"name" example:"snow"`
	Price       int64  `json:"price" example:"100"`
	ProductUrl  string `json:"product_url" example:"http://www.baidu.com"`
	ProductUrl2 string `json:"product_url2" example:"http://www.baidu.com"`
	Status      int64  `json:"status" example:"1"`
	CreatedAt   string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type CreateReq struct {
	Name        string `json:"name" validate:"required"`
	Price       int64  `json:"price" validate:"required"`
	ProductUrl  string `json:"product_url" validate:"required"`
	ProductUrl2 string `json:"product_url2"`
}

type CreateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type UpdateReq struct {
	Id          int64  `json:"id" validate:"required"`
	Name        string `json:"name" `
	Price       int64  `json:"price" `
	ProductUrl  string `json:"product_url" `
	ProductUrl2 string `json:"product_url2" `
}

type UpdateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type DeleteReq struct {
	Id int64 `json:"id" validate:"required"`
}

type DeleteResp struct {
	Id int64 `json:"id"  example:"1"`
}
